# TmdbRexx

[![Build Status](https://travis-ci.org/jasontruluck/tmdb_rexx.svg?branch=master)](https://travis-ci.org/jasontruluck/tmdb_rexx)
[![Code Climate](https://codeclimate.com/github/jasontruluck/tmdb_rexx/badges/gpa.svg)](https://codeclimate.com/github/jasontruluck/tmdb_rexx)
[![Test Coverage](https://codeclimate.com/github/jasontruluck/tmdb_rexx/badges/coverage.svg)](https://codeclimate.com/github/jasontruluck/tmdb_rexx/coverage)

This is TmdbRexx a simple wrapper around the TMDB API v3 written in ruby.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'tmdb_rexx'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install tmdb_rexx

## Documentation

http://rdoc.info/github/jasontruluck/tmdb_rexx/master/index

## Configuration

Configuration allows for specifying TMDB api information

`api_key` - *required* The api key generated by the [TMDB api](https://www.themoviedb.org/documentation/api)

`base_url` - The base url used for querying against the TMDB api. Defaults to `https://api.themoviedb.org`

`version` - The API version to use. Defaults to `3`

`include_adult` - If you would like to include adult films and tv [Boolean]. Defaults to `false`

`language` - The language you would like to have information returned in. Defaults to `en`

Within an initializer `config/initializer/tmdb_rexx.rb`

```ruby
TmdbRexx.configure do |c|
  c.api_key = "some_api_key" # Required for functionality
  c.include_adult = true     # this includes adult films and tv
  c.language = "fr"          # this changes the language to French where supported
end
```
## Development

After checking out the repo, run `bundle install` to install dependencies. Then, run `rake` for a baseline test run.

## Contributing

*Make sure to write test!*

1. Fork it ( https://github.com/[my-github-username]/tmdb_rexx/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
